DOM::HTMLOptionElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLOptionElement Class Reference

A selectable choice. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLOptionElement:

[legend]
Collaboration diagram for DOM::HTMLOptionElement:

[legend]
List of all members.

## Public Member Functions
| HTMLOptionElement (const HTMLOptionElement &other)
| HTMLOptionElement (const Node &other)
HTMLOptionElement & | operator= (const HTMLOptionElement &other)
HTMLOptionElement & | operator= (const Node &other)
HTMLFormElement | form () const
| This class or method is obsolete, it is provided for compatibility only..
bool | defaultSelected () const
| Stores the initial value of the `selected` attribute.
void | setDefaultSelected (bool)
| see defaultSelected
DOMString | text () const
| The text contained within the option element.
long | index () const
| The index of this `OPTION` in its parent `SELECT` .
void | setIndex (long)
| see KDE HTML widget
bool | disabled () const
| The control is unavailable in this context.
void | setDisabled (bool)
| see disabled
DOMString | label () const
| Option label for use in hierarchical menus.
void | setLabel (const DOMString &)
| see label
bool | selected () const
| Means that this option is initially selected.
void | setSelected (bool)
| see selected
DOMString | value () const
| The current form control value.
void | setValue (const DOMString &)
| see value
## Protected Member Functions
| HTMLOptionElement (HTMLOptionElementImpl *impl)

## Detailed Description

A selectable choice.

See the OPTION element definition in HTML 4.0.

Definition at line 1156 of file html_form.h.

## Member Function Documentation

HTMLFormElement HTMLOptionElement::form | ( |  | ) | const

| This class or method is obsolete, it is provided for compatibility only.. ### KDE 4.0: remove Reimplemented from DOM::Element. Definition at line 1091 of file html_form.cpp.

bool HTMLOptionElement::defaultSelected | ( |  | ) | const

| Stores the initial value of the `selected` attribute. Definition at line 1096 of file html_form.cpp.

void HTMLOptionElement::setDefaultSelected | ( | bool |  | ) |

| see defaultSelected Definition at line 1102 of file html_form.cpp.

DOMString HTMLOptionElement::text | ( |  | ) | const

| The text contained within the option element. Definition at line 1107 of file html_form.cpp.

long HTMLOptionElement::index | ( |  | ) | const

| The index of this `OPTION` in its parent `SELECT` . Reimplemented from DOM::Node. Definition at line 1113 of file html_form.cpp.

void HTMLOptionElement::setIndex | ( | long |  | ) |

| see KDE HTML widget This function is obsolete - the index property is actually supposed to be read-only (http://www.w3.org/DOM/updates/REC-DOM-Level-1-19981001-errata.html) Definition at line 1119 of file html_form.cpp.

bool HTMLOptionElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 1124 of file html_form.cpp.

void HTMLOptionElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 1130 of file html_form.cpp.

DOMString HTMLOptionElement::label | ( |  | ) | const

| Option label for use in hierarchical menus. See the label attribute definition in HTML 4.0. Definition at line 1135 of file html_form.cpp.

void HTMLOptionElement::setLabel | ( | const DOMString & |  | ) |

| see label Definition at line 1141 of file html_form.cpp.

bool HTMLOptionElement::selected | ( |  | ) | const

| Means that this option is initially selected. See the selected attribute definition in HTML 4.0. Definition at line 1146 of file html_form.cpp.

void HTMLOptionElement::setSelected | ( | bool |  | ) |

| see selected Definition at line 1152 of file html_form.cpp.

DOMString HTMLOptionElement::value | ( |  | ) | const

| The current form control value. See the value attribute definition in HTML 4.0. Definition at line 1157 of file html_form.cpp.

void HTMLOptionElement::setValue | ( | const DOMString & |  | ) |

| see value Definition at line 1163 of file html_form.cpp. References DOM::DOMString::implementation().

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:08 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001